﻿@using DerethForever.Web.Controllers
@model Lifestoned.DataModel.Gdle.WeenieChange

@{
    bool IsApproval = ViewData.Where(kv => kv.Key == "IsApproval").FirstOrDefault().Value as bool? ?? false;
}

<div class="well @(!Model.Submitted ? "need-submit" : "submitted")"
     data-id="@(Model.EntryId)"
     data-type="@(Model.EntryType)"
     data-name="@(Model.Entry.Name)"
     data-user="@(Model.UserName)"
     data-date="@(new DateTimeOffset(Model.SubmissionTime.ToUniversalTime()).ToUnixTimeSeconds())">
    <div class="row">
        <div class="col-md-1">
            <div class="icon">
                <img src="@Url.Action("GetDynamicIcon", "Resource",
                            new {
                                itemType = Model.Entry.ItemType,
                                underlayId = Model.Entry.UnderlayId,
                                overlayId = Model.Entry.OverlayId,
                                iconId = Model.Entry.IconId,
                                uiEffects = Model.Entry.UIEffects }) " />
            </div>
        </div>
        <div class="col-md-6">
            <a href="@Url.Action("Detail", "Weenie", new { id = Model.Entry.WeenieClassId, userGuid = Model.UserGuid })">
                @Html.DisplayFor(m => m.Entry.Name)
                (@Html.DisplayFor(m => m.Entry.WeenieClassId))
            </a><br />
            Submitted by @Html.DisplayFor(m => m.UserName) on @Html.DisplayFor(m => m.SubmissionTimeDisplay)<br />
            <br />
        </div>
        <div class="col-md-5">
            <div class="btn-group">
                @if (!IsApproval)
                {
                    <div class="btn btn-default btn-sm">@Html.ActionLink("Edit", "Edit", "Weenie", new { id = Model.Entry.WeenieClassId }, null)</div>
                    <div class="btn btn-default btn-sm">@Html.ActionLink("Clone", "Clone", "Weenie", new { id = Model.Entry.WeenieClassId }, null)</div>
                }
                @*else
                {
                    <div class="btn btn-default btn-sm">@Html.ActionLink("View", "Detail", "Weenie", new { id = Model.Entry.WeenieClassId, userGuid = Model.UserGuid }, null)</div>
                }*@
                <div class="btn btn-default btn-sm">
                    <i class="glyphicon glyphicon-download"></i>
                    @Html.ActionLink("Sandbox", "DownloadSandbox", "Weenie", new { id = Model.Entry.WeenieClassId, userGuid = Model.UserGuid }, null)
                </div>
                <div class="btn btn-default btn-sm">
                    <i class="glyphicon glyphicon-download"></i>
                    @Html.ActionLink("Original", "DownloadOriginal", "Weenie", new { id = Model.Entry.WeenieClassId }, null)
                </div>

            </div>
            @if (!IsApproval && BaseController.CurrentUser.AccountGuid == Model.UserGuid)
            {
                <div>
                    @if (Model.Submitted)
                    {
                        <button data-id="@(Model.EntryId)" data-type="@(Model.EntryType)" class="sandbox-submit btn btn-sm btn-primary">Withdraw Submission</button>
                    }
                    else
                    {
                        <button data-id="@(Model.EntryId)" data-type="@(Model.EntryType)" class="sandbox-submit btn btn-sm btn-warning">Submit for Review</button>
                    }
                    <button data-id="@(Model.EntryId)" data-type="@(Model.EntryType)" class="sandbox-delete btn btn-sm btn-danger"><span class="glyphicon glyphicon-trash"></span></button>
                </div>
            }
            @if (IsApproval && User.IsInRole("Developer"))
            {
                <div>
                    <button class="btn btn-sm btn-warning"
                            data-toggle="modal" data-target="#modal-reject"
                            data-user="@(Model.UserGuid)" data-id="@(Model.EntryId)" data-type="@(Model.EntryType)">
                        Reject
                    </button>

                    <button class="sandbox-approve btn btn-sm btn-primary"
                            data-id="@(Model.EntryId)"
                            data-type="@(Model.EntryType)"
                            data-user="@(Model.UserGuid)"
                            data-done="0">
                        Accept
                    </button>

                    <button class="sandbox-approve btn btn-sm btn-primary"
                            data-id="@(Model.EntryId)"
                            data-type="@(Model.EntryType)"
                            data-user="@(Model.UserGuid)"
                            data-done="1">
                        Final Accept
                    </button>
                </div>
            }

        </div>
    </div>
    <br />

    <div class="panel panel-default">
        <div class="panel-heading">
            <a href="#@(Html.IdFor(m => m))" data-toggle="collapse" aria-expanded="false">Change Log Entry</a>
        </div>
        <div id="@(Html.IdFor(m => m))" class="panel-collapse collapse panel-body">
            @Html.Raw(string.IsNullOrEmpty(Model.Entry.UserChangeSummary) ? "None" : Model.Entry.UserChangeSummary)
        </div>

    </div>

    @Html.DisplayFor(m => m.Discussion, new {
        UserGuid = Model.UserGuid,
        EntryId = Model.Entry.WeenieClassId,
        EntryType = "weenie" })

</div>
